Bug Hunting Session
Bug 99891 - Update installer fonts to match newer versions of Windows
Summary: Update installer fonts to match newer versions of Windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium minor
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords: difficultyBeginner, easyHack, skillWindows
Depends on:
Blocks: Installer-Windows
  Show dependency treegraph
 
Reported: 2016-05-16 18:44 UTC by Adolfo Jayme
Modified: 2019-08-30 13:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2016-05-16 18:44:39 UTC
The MSI installer still uses Tahoma 8 (Windows 2000/XP) as its UI font. Since Vista, the platform’s UI font is Segoe UI 9. The installer should match that.

(At this point we should not be concerned about XP: this font is not installed by default in that platform, but any user who at some point installed a Windows Live application should have it... But the main point is, XP has reached end of life!)
Comment 1 V Stuart Foote 2016-05-16 22:21:59 UTC
Reasonable to me -> New
Comment 2 Andras Timar 2016-05-17 10:39:48 UTC
Under instsetoo_native one can git grep for "Tahoma" -- 35 lines match. However, it is not enough to replace the font, one has to check every dialog for text cut-offs, and resize controls as needed.
Comment 3 V Stuart Foote 2016-05-17 12:27:51 UTC
MS documentation suggests that Segoe UI does not form correctly below 9 pt, so should be avoided below that point size. Meaning as Andras suggests for the easy hack that dialogs will need to be resized & checked to avoid any cutoff.

Also, do we localize the installer on Windows builds, and does a similar font family change need to be applied for localization? Or do we depend on the localized OS to make the font substitution. I believe it is the later, but do we need any adjustments for the localization?

=-ref-=
https://msdn.microsoft.com/en-us/library/windows/desktop/dn742483%28v=vs.85%29.aspx

https://msdn.microsoft.com/en-us/library/windows/desktop/dn614134%28v=vs.85%29.aspx
Comment 4 Roman Kuznetsov 2019-06-18 19:14:00 UTC
https://gerrit.libreoffice.org/#/c/74185/
Comment 5 Commit Notification 2019-06-27 06:57:52 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d8932ff5df0939b5c5e378b7ad0a63a25df5b3b0%5E%21

tdf#99891 Update installer fonts to match newer versions of Windows

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-06-28 15:01:23 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/498dfee819286f6c13278a0b8fcab85611a6feee%5E%21

tdf#99891 Update installer fonts to match newer versions of Windows

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.